import request from '@/utils/request'

/************准入条件设置************/
//准入条件-列表
export function laboratoryMaterialDataList(data) {
  return request({
    url: '/laboratory/materialData/list',
    method: 'post',
    data: data
  })
}
//准入条件-新增
export function laboratoryMaterialDataAdd(data) {
  return request({
    url: '/laboratory/materialData/add',
    method: 'post',
    data: data
  })
}
//准入条件-编辑
export function laboratoryMaterialDataUpdate(data) {
  return request({
    url: '/laboratory/materialData/update',
    method: 'post',
    data: data
  })
}
//准入条件-删除
export function laboratoryMaterialDataDelete(data) {
  return request({
    url: '/laboratory/materialData/delete',
    method: 'post',
    data: data
  })
}
/************安全准入审核************/
//安全准入审核-列表
export function laboratoryApplyList(data) {
  return request({
    url: '/laboratory/apply/list',
    method: 'post',
    data: data
  })
}
//安全准入审核-审核
export function laboratoryApplyUpdate(data) {
  return request({
    url: '/laboratory/apply/update',
    method: 'post',
    data: data
  })
}
/************安全准入办理************/
//安全准入办理-列表
export function laboratoryApplyListApply(data) {
  return request({
    url: '/laboratory/apply/listApply',
    method: 'post',
    data: data
  })
}
//安全准入办理-删除
export function laboratoryApplyDelete(data) {
  return request({
    url: '/laboratory/apply/delete',
    method: 'post',
    data: data
  })
}
//安全准入办理-获取实验室当前准入配置
export function materialApply(data) {
  return request({
    url: '/laboratory/apply/materialApply',
    method: 'post',
    data: data
  })
}
//安全准入办理-新增
export function laboratoryApplyMaterialAdd(data) {
  return request({
    url: '/laboratory/apply/materialAdd',
    method: 'post',
    data: data
  })
}
//安全准入办理-编辑
export function laboratoryApplyMaterialUpdate(data) {
  return request({
    url: '/laboratory/apply/materialUpdate',
    method: 'post',
    data: data
  })
}
//安全准入办理-详情
export function laboratoryApplyGetDetails(query) {
  return request({
    url: '/laboratory/apply/getDetails',
    method: 'get',
    params: query
  })
}
/************白名单管理************/
//白名单管理-列表
export function laboratoryWhiteList(data) {
  return request({
    url: '/laboratory/white/list',
    method: 'post',
    data: data
  })
}
//白名单管理-新增
export function laboratoryWhiteAdd(data) {
  return request({
    url: '/laboratory/white/add',
    method: 'post',
    data: data
  })
}
//白名单管理-编辑
export function laboratoryWhiteEditWhiteBySubJoin(data) {
  return request({
    url: '/laboratory/white/editWhiteBySubJoin',
    method: 'post',
    data: data
  })
}
//白名单管理-删除
export function laboratoryWhiteDelJoinSub(data) {
  return request({
    url: '/laboratory/white/delJoinSub',
    method: 'post',
    data: data
  })
}
//白名单管理-查询白名单人员列表(过滤已在白名单内的人员)
export function laboratoryWhiteSelectUserByNotWhite(query) {
  return request({
    url: '/laboratory/white/selectUserByNotWhite',
    method: 'get',
    params: query
  })
}
//白名单管理-查询白名单包含人员
export function laboratoryWhiteDetail(query) {
  return request({
    url: '/laboratory/white/detail',
    method: 'get',
    params: query
  })
}
//白名单管理-查询白名单包含实验室列表
export function laboratoryWhiteSubList(query) {
  return request({
    url: '/laboratory/white/subList',
    method: 'get',
    params: query
  })
}
